function interestOnly(P,r,t,n)
% interestOnly(P,r,t,n)
% P = principal
% r = interest rate as decimal
% t = number of years
% n = number of times interest is calculated per year (quarterly > n=4)
    
    % header values for displayed table
    fprintf('year \t amount\n');
    
    % convert interst rate to percent for plot title
    rate = 100*r;
    
    % print starting value
    hold on
    figure
    plot(0,P,'*r')
    xlabel('years')
    ylabel('amount')
    title(['$' num2str(P) ' compounded ',num2str(n),' times per year for ' num2str(t) ' years at ' num2str(rate) '%'])

    for time=1:t
        
        % our compounded interest formula
        P = P*(1 + r/n)^n;
        
        % display this year's data to user
        fprintf('%d \t\t $%.2f\n',time,P);
        
        plot(time,P,'*r')
    end

    
end