function howLong = targetBalance(P,r,n,V,d)
% howLong = targetBalance(P,r,n,V,d)
% P = principal
% r = interest rate as decimal
% n = number of times interest is calculated per year (quarterly > n=4)
% V = target dollar amount
% d = annual deposit
    
    % header values for displayed table
    fprintf('year \t amount\n');
    
    % convert interst rate to percent for plot title
    rate = 100*r;
    
    % print starting value
    figure
    hold on
    plot(0,P,'*r')
    xlabel('years')
    ylabel('amount')
    title(['$' num2str(P) ' compounded ',num2str(n),' times per year at ' num2str(rate) '%'])

    % initialize time = year one
    t = 0;
    
    % run this loop while the principal is less than the target amount
    while P < V
        
        % increase our year step
        t = t + 1;
        
        % our compounded interest formula
        P = P*(1 + r/n)^n + d;
        
        % display this year's data to user
        fprintf('%d \t\t $%.2f\n',t,P);
        
        plot(t,P,'*r')
        
    end

    howLong = t;
end